Name: kdeartwork4
Summary: K Desktop Environment
Version: 4.0.3
Epoch: 1
Group: Graphical desktop/KDE
License: GPL
URL: http://www.kde.org
Release: %mkrel 1
Source:	ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeartwork-%version.tar.bz2
Buildroot:	%_tmppath/%name-%version-%release-root
BuildRequires: kde4-macros
BuildRequires: X11-devel 
BuildRequires: freetype2-devel
BuildRequires: kdebase4-devel 
BuildRequires: bzip2-devel 
BuildRequires: libintl 
BuildRequires: jpeg-devel 
BuildRequires: lcms-devel 
BuildRequires: mng-devel
BuildRequires: png-devel 
BuildRequires: libz-devel 
BuildRequires: xscreensaver
BuildRequires: xscreensaver-gl
BuildRequires: mesaglut-devel
BuildRequires: mesaglu-devel
BuildRequires: kdebase4-workspace-devel
Requires: %{name}-kworldclock
Requires: %{name}-emoticons
Requires: %{name}-kwin-icewm-themes
Requires: %{name}-kscreensaver
Requires: %{name}-sounds
Requires: %{name}-styles
Requires: %{name}-wallpapers
Requires: %{name}-color-schemes

%description
Additional artwork (themes, sound themes, icons,etc...) for KDE.

%files
%defattr(-,root,root,-)

#----------------------------------------------------------------------

%package core
Summary: %{name} core package
Group: Graphical desktop/KDE

%description core
%{name} core package

%files core
%doc README
# We will not provide a duplicated icons copy this time
%exclude %_kde_iconsdir/*

#----------------------------------------------------------------------

%package emoticons
Summary: %{name} emoticons
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description emoticons
%{name} emoticons.

%files emoticons
%defattr(-,root,root)
%_kde_datadir/emoticons/*

#---------------------------------------------

%package kwin-icewm-themes
Summary: %{name} kwin-icewm-themes
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description kwin-icewm-themes
%{name} icewm-themes.

%files kwin-icewm-themes
%defattr(-,root,root)
%_kde_appsdir/kwin/icewm-themes/*

#---------------------------------------------

%package kscreensaver
Summary: %{name} kscreensaver
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description kscreensaver
%{name} kscreensaver.

%files kscreensaver
%defattr(-,root,root)
%_kde_appsdir/kfiresaver
%_kde_appsdir/kscreensaver
%_kde_bindir/*.kss
%_kde_bindir/kxsconfig
%_kde_bindir/kxsrun
%_kde_datadir/kde4/services/ScreenSavers/*

#---------------------------------------------

%package kworldclock
Summary: %{name} kworldclock
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description kworldclock
%{name} kworldclock.

%files kworldclock
%defattr(-,root,root)
%_kde_appsdir/kworldclock

#---------------------------------------------

%package sounds
Summary: %{name} sounds
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description sounds
%{name} sounds.

%files sounds
%defattr(-,root,root)
%_kde_datadir/sounds/KDE_Logout_new.wav
%_kde_datadir/sounds/KDE_Startup_new.wav

#---------------------------------------------

%package styles
Summary: %{name} styles
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description styles
%{name} styles.

%files styles
%defattr(-,root,root)
%_kde_appsdir/kstyle
%_kde_libdir/kde4/kstyle_phase_config.so
%_kde_libdir/kde4/plugins/styles/phasestyle.so

#---------------------------------------------

%package color-schemes
Summary: %{name} color schemes
Group: Graphical desktop/KDE

%description color-schemes
%{name} color schemes.

%files color-schemes
%defattr(-,root,root)
%_kde_appsdir/color-schemes

#---------------------------------------------

%package wallpapers
Summary: %{name} wallpapers
Group: Graphical desktop/KDE
Requires: %name-core = %epoch:%version

%description wallpapers
%{name} wallpapers.

%files wallpapers
%defattr(-,root,root)
%_kde_datadir/wallpapers/*

#----------------------------------------------------------------------

%prep
%setup -q -n kdeartwork-%version

%build
%cmake_kde4 

%make

%install
rm -fr %buildroot
cd build

make DESTDIR=%buildroot install

%clean
rm -fr %buildroot



%changelog
* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.3-1mdv2008.1
+ Revision: 191015
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:4.0.2-2mdv2008.1
+ Revision: 182259
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.2-1mdv2008.1
+ Revision: 177462
- New upstream bugfix release 4.0.2

* Mon Feb 11 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.1-1mdv2008.1
+ Revision: 165438
- Update for 4.0.1

* Sun Jan 13 2008 Helio Chissini de Castro <helio@mandriva.com> 1:4.0.0-2mdv2008.1
+ Revision: 151023
- Update for final stable 4.0.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - should require with epoch

* Mon Dec 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.751522.1mdv2008.1
+ Revision: 137446
- New snapshot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.97.1-0.746274.1mdv2008.1
+ Revision: 117167
- New snapshot

* Sat Dec 01 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.743525.2mdv2008.1
+ Revision: 114250
- New snapshot

* Fri Nov 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.96.1-0.739275.2mdv2008.1
+ Revision: 111564
- New snapshot
- KDE4 RC1

* Thu Oct 25 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.94.1-0.728852.2mdv2008.1
+ Revision: 102184
- Fix BuildRequires
- New snapshot
- New snapshot for Beta2
  [BUGFIX] Fix Requires (Bug #32991)

* Tue Aug 07 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.92.0-0.697235.1mdv2008.0
+ Revision: 59881
- Updating to revision 697235
- Update for revision 694291

  + Laurent Montel <lmontel@mandriva.org>
    - new snapshot
    - it compiles with enable-final
    - new snapshot


* Thu Jan 25 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070123.1mdv2007.0
+ Revision: 113088
- new snapshot

* Thu Jan 18 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070117.1mdv2007.1
+ Revision: 110238
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070109.1mdv2007.1
+ Revision: 106997
- Update
- Fix file list

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 3.80.2-0.20070103.1mdv2007.1
+ Revision: 104119
- Update
- Import kdeartwork4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-1mdv2007.0
- First package

